IUP & Linux/Ubuntu

External libraries (GTK, GSL, SDL, Allegro, OpenGL, etc) questions.
Bunuel66
Posts: 76
Joined: May 19, 2006 19:56

IUP & Linux/Ubuntu

Postby Bunuel66 » Aug 13, 2008 23:07

I recently started a Ubuntu configuration. FB is running fine in text mode. I'm looking for using IUP 2.6 under Linux, but it seems that the include files, the .bi are not available anywhere.
Somebody helps??

Regards.

Luis
AGS
Posts: 1284
Joined: Sep 25, 2007 0:26
Location: the Netherlands

Re: IUP & Linux/Ubuntu

Postby AGS » Aug 14, 2008 22:22

Bunuel66 wrote:I recently started a Ubuntu configuration. FB is running fine in text mode. I'm looking for using IUP 2.6 under Linux, but it seems that the include files, the .bi are not available anywhere.
Somebody helps??

Regards.

Luis


The Linux downloads for the fb - compiler (available at sourceforge.net) contain .bi files for IUP. You'd need the shared libraries (.so) for Linux as well to get IUP working. The lua libraries can be found here:
http://luaforge.net/frs/download.php/28 ... lib.tar.gz

and executables for Linux can be found here

http://luaforge.net/frs/download.php/28 ... bin.tar.gz
Bunuel66
Posts: 76
Joined: May 19, 2006 19:56

IUP Libs

Postby Bunuel66 » Aug 15, 2008 16:13

Thanks a lot for your answer. Nevertheless the .bi coming with FB are for version 2.3 and not for the current 2.6. Furethermore some .bi refer to windows files apparently. I'm still stuck ;-((

Regards.

Luis
AGS
Posts: 1284
Joined: Sep 25, 2007 0:26
Location: the Netherlands

Re: IUP Libs

Postby AGS » Aug 16, 2008 23:46

Bunuel66 wrote:Thanks a lot for your answer. Nevertheless the .bi coming with FB are for version 2.3 and not for the current 2.6. Furethermore some .bi refer to windows files apparently. I'm still stuck ;-((

Regards.

Luis


Hmmm.... The references to windows files I could not find, differences between version 2.3 and version 2.6 I could find. And IUP version 2.6 apparently still uses the Open Motif toolkit. Which is interesting to say the least....

Anyway, what would you need to get IUP going? Would an adaption of the .bi - files be enough? To actually use IUP you'd need the Open Motif libraries so you'll have to start a shell (or whatever you do to install packages) and install libmotif-dev, motif-clients and libmotif (but that last one gets installed automagically when you install libmotif).
When in a shell you do this


sudo apt-get install libmotif-dev
sudo apt-get install motif-clients


Apart from that you'll need a lot more libraries to get XWindows going. I'm guessing you already have these installed but if not you should install them:

gcc
libc6-dev
ncurses-dev
x11proto-core-dev
x11proto-input-dev
x11proto-kb-dev
x11proto-randr-dev
x11proto-render-dev
x11proto-xext-dev
xtrans-dev
libxdmcp-dev
libxau-dev
libx11-dev
libxext-dev
libxi-dev
libxpm-dev
libxrandr-dev
libxrender-dev

One of the differences between version IUP 2.3 and IUP 2.6 is a change in iup.bi from

Type Icallback as function cdecl(byval as Ihandle ptr, ...) as integer

to

Type Icallback as function cdecl(byval as Ihandle ptr) as integer

Apart from that change there are some more functions in IUP now but the .bi - files do not have to be changed all that much.

If you don't know how to change the .bi files yourself (you'll have to apply the above change to iup.bi and add some more functions) I can change them for you.

Return to “Libraries”

Who is online

Users browsing this forum: No registered users and 3 guests